/* Filter modal */
.escr-tag-filter {
    width: 360px;
}
.escr-tag-filter h4 {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.escr-tag-filter h4  div {
    display: flex;
    flex-flow: row nowrap;
}

/* Tags list with checkboxes */
.escr-tag-filter-group {
    display: flex;
    flex-flow: row wrap;
    margin-top: 8px;
}
.escr-tag-filter-group .escr-tag {
    margin-right: 7px;
    margin-bottom: 10px;
    cursor: pointer;
    height: 25px;
    box-sizing: border-box;
    transition: box-shadow 0.15s ease-in-out;
}
.escr-tag-filter-group input[type="checkbox"]:checked + .escr-tag {
    border: 1px solid var(--text1);
}
.escr-tag-filter-group input[type="checkbox"]:focus + .escr-tag {
    box-shadow: 0 0 0 0.2rem var(--secondary-focus);
}

/* Checkmark for checked box */
.escr-tag-filter-group input[type="checkbox"]:not(:checked) + .escr-tag svg {
    display: none;
}
.escr-tag-filter-group input[type="checkbox"]:checked + .escr-tag svg {
    margin-left: 5px;
    display: inline;
}

/* additional layout elements */
.escr-tag-filter .escr-text-field {
    margin-top: -16px;
}
.escr-tag-filter hr {
    margin: 16px 0;
}
.escr-tag-filter label {
    display: flex;
    align-items: center;
}
